#pragma once

#include "material.h"

class station
{
public:
	void add(material* pMaterial); //добавляет новый ГСМ на АЗС, указатель на который передается как параметр
	void add(); //добавляет новый ГСМ на АЗС, считывая с экрана его параметры
	void show(); //показывает содержимое АЗС
	void change(unsigned num, string name, unsigned price); //вносит изменение в ГСМ под номером num
	void change(unsigned num); //задает ГСМ под номером num новые параметры, введенные с консоли
	void select(unsigned variant); //выполняет заданное действие с ГСМ
	void del(unsigned num); //удаляет ГСМ под номером num 
	void add_volume(unsigned num, unsigned dV); //Прибавляет к ГСМ с номером num объем dV
	void add_volume(unsigned num); //Прибавляет к ГСМ с номером num объем, считаный с консоли
	void substr_volume(unsigned num, unsigned dV); //Вычитает с ГСМ с номером num объем dV
	void substr_volume(unsigned num); //Вычитает с ГСМ с номером num объем, считаный с консоли
};

